<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="bean"
            type="com.lukouguoji.module_base.bean.GjcUldUseBean" />
    </data>

    <androidx.appcompat.widget.LinearLayoutCompat
        android:id="@+id/ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginVertical="5dp"
        android:background="@drawable/bg_item"
        android:orientation="horizontal"
        android:padding="10dp">

        <!-- 飞机图标 -->
        <ImageView
            android:id="@+id/iv_icon"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:src="@drawable/img_plane" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <!-- 第一行数据 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <!-- ULD编号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="ULD编号：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="@{bean.uld}"
                        android:textColor="@color/colorPrimary"
                        tools:text="PMC12345MU" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 架子车号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="架子车号：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.carId}'
                        tools:text="527" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 总重 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="总重：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="@{String.valueOf(bean.totalWeight)}"
                        tools:text="200" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 装机重量 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="装机重量：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{String.valueOf(bean.netWeight)}'
                        tools:text="150" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 货重 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="货重：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{String.valueOf(bean.cargoWeight)}'
                        tools:text="150" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

            <!-- 第二行数据 -->
            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp">

                <!-- 航班日期 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1.0"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="航班日期：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.fdate != null &amp;&amp; bean.fdate.length() >= 10 ? bean.fdate.substring(0, 10) : (bean.fdate ?? ``)}'
                        tools:text="2025-09-05" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 航班号 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="航班号：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.fno}'
                        tools:text="MU2023" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 目的港 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="目的港：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="@{bean.fdest}"
                        tools:text="PEK" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 过磅人 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="0.8"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="过磅人：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.wtUsername}'
                        tools:text="张三" />

                </androidx.appcompat.widget.LinearLayoutCompat>

                <!-- 过磅时间 -->
                <androidx.appcompat.widget.LinearLayoutCompat
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:gravity="center_vertical">

                    <TextView
                        completeSpace="@{5}"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text="过磅时间：" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp"
                        android:text='@{bean.wtDate}'
                        tools:text="2024-01-15 14:27:12" />

                </androidx.appcompat.widget.LinearLayoutCompat>

            </androidx.appcompat.widget.LinearLayoutCompat>

        </LinearLayout>

        <!-- 右侧箭头 -->
        <ImageView
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_gravity="center"
            android:layout_marginLeft="10dp"
            android:src="@drawable/img_pda_right" />

    </androidx.appcompat.widget.LinearLayoutCompat>
</layout>
